Bug 888026 - shim not found when doing composing
shim not found when doing composing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shim-signed (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-12-17 15:48 EST by Dennis Gilmore
Modified: 2013-01-11 18:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 00:33:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2012-12-17 15:48:00 EST
Description of problem:

This is to summarise what we did for TC3.

lorax when installing shim did not resolve the provides in shim-signed so we renamed the binary rpm from shim-signed to shim. then made sure shim had a Requires on shim-unsigned.
Comment 1 Fedora Update System 2012-12-17 15:50:45 EST
shim-signed-0.2-3.2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/shim-signed-0.2-3.2.fc18
Comment 2 Adam Williamson 2012-12-17 21:44:11 EST
obvious +1 blocker.
Comment 3 Onyeibo 2012-12-17 21:46:57 EST
+1 My bad
Comment 4 d. johnson 2012-12-17 21:47:59 EST
+1 blocker.
Comment 5 Adam Williamson 2012-12-17 22:40:23 EST
good enough for this! AcceptedBlocker.
Comment 6 Josh Boyer 2012-12-18 09:16:05 EST
If you have shim-signed already installed, then the renamed binary 'shim' package doesn't update that.  It will just install it without replacing.

[jwboyer@localhost ~]$ rpm -qa | grep shim
shim-unsigned-0.2-3.fc18.x86_64
shim-signed-0.2-3.fc18.x86_64
[jwboyer@localhost ~]$ sudo yum localupdate ./shim-0.2-3.2.fc18.x86_64.rpm 
Loaded plugins: langpacks, presto, refresh-packagekit
Examining ./shim-0.2-3.2.fc18.x86_64.rpm: shim-0.2-3.2.fc18.x86_64
Package shim not installed, cannot update it. Run yum install to install it instead.
Nothing to do
[jwboyer@localhost ~]$  sudo yum localinstall ~/shim-0.2-3.2.fc18.x86_64.rpm 
Loaded plugins: langpacks, presto, refresh-packagekit
Examining /home/jwboyer/shim-0.2-3.2.fc18.x86_64.rpm: shim-0.2-3.2.fc18.x86_64
Marking /home/jwboyer/shim-0.2-3.2.fc18.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package shim.x86_64 0:0.2-3.2.fc18 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package   Arch        Version             Repository                      Size
================================================================================
Installing:
 shim      x86_64      0.2-3.2.fc18        /shim-0.2-3.2.fc18.x86_64      2.6 M

Transaction Summary
================================================================================
Install  1 Package

Total size: 2.6 M
Installed size: 2.6 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /boot/efi/EFI/fedora/shim-fedora.efi from install of shim-0.2-3.2.fc18.x86_64 conflicts with file from package shim-signed-0.2-3.fc18.x86_64
  file /boot/efi/EFI/fedora/shim.efi from install of shim-0.2-3.2.fc18.x86_64 conflicts with file from package shim-signed-0.2-3.fc18.x86_64

Error Summary
-------------
[jwboyer@localhost ~]$

The following diff seems to do the right thing:

diff --git a/shim-signed.spec b/shim-signed.spec
index 70e2434..f923430 100644
--- a/shim-signed.spec
+++ b/shim-signed.spec
@@ -1,6 +1,6 @@
 Name:           shim-signed
 Version:        0.2
-Release:        3.2%{?dist}
+Release:        3.3%{?dist}
 Summary:        First-stage UEFI bootloader
 Provides:      shim = %{version}-%{release}
 
@@ -42,6 +42,8 @@ the UEFI signing service.
 Summary: First-stage UEFI bootloader
 #Requires: shim-unsigned >= %{version}-%{release}
 Requires: shim-unsigned >= 0.2-3.fc18
+Provides: shim-signed = 0.2-3.3
+Obsoletes: shim-signed <= 0.2-3.2
[jwboyer@localhost shim-signed]$ sudo yum localinstall ./x86_64/shim-0.2-3.3.fc18.x86_64.rpm 
Loaded plugins: langpacks, presto, refresh-packagekit
Examining ./x86_64/shim-0.2-3.3.fc18.x86_64.rpm: shim-0.2-3.3.fc18.x86_64
Marking ./x86_64/shim-0.2-3.3.fc18.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package shim.x86_64 0:0.2-3.3.fc18 will be obsoleting
---> Package shim-signed.x86_64 0:0.2-3.fc18 will be obsoleted
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package   Arch        Version             Repository                      Size
================================================================================
Installing:
 shim      x86_64      0.2-3.3.fc18        /shim-0.2-3.3.fc18.x86_64      2.6 M
     replacing  shim-signed.x86_64 0.2-3.fc18

Transaction Summary
================================================================================
Install  1 Package

Total size: 2.6 M
Is this ok [y/N]: n
Comment 7 Fedora Update System 2012-12-18 16:28:16 EST
Package shim-signed-0.2-3.2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shim-signed-0.2-3.2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20583/shim-signed-0.2-3.2.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-20 00:33:06 EST
shim-signed-0.2-3.2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-02 09:31:38 EST
shim-signed-0.2-3.3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/shim-signed-0.2-3.3.fc18
Comment 10 Fedora Update System 2013-01-11 18:49:17 EST
shim-signed-0.2-3.3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.